# Config.lua

<pre class="language-lua"><code class="lang-lua"><strong>Config = {}
</strong>BanSystem = {}
Config.Debug = true

Config.Commands = { -- csak azok a groupok vannak benne amik használhatják a commandot, a true hogy dutyban kell lenni a false hogy nem
    tp = {tulajdonos = true, admin = true},
    car = {tulajdonos = true, admin = true},
    givecars = {tulajdonos = true},
    tcar = {tulajdonos = true, admin = true},
    dv = {tulajdonos = true, admin = true},
    ["goto"] = {tulajdonos = true, admin = true},
    bring = {tulajdonos = true, admin = true},
    kill = {tulajdonos = true, admin = true},
    skin = {tulajdonos = true, admin = true},
    noclip = {tulajdonos = true, admin = true},
    tpm = {tulajdonos = true, admin = true},
    fopub = {tulajdonos = true, admin = true},
    lefoglaltak = {tulajdonos = true, admin = true},
    felhivas = {tulajdonos = true, admin = true},
    kick = {tulajdonos = true, admin = true},
    fix = {tulajdonos = true, admin = true},
    giveitem = {tulajdonos = true, admin = true},
    inv = {tulajdonos = true, admin = true},
    giveaccountmoney = {tulajdonos = true, admin = true,},
    carmenu = {tulajdonos = true, admin = true},
    itemmenu = {tulajdonos = true, admin = true},
    setjob = {tulajdonos = true, admin = true},
    setgroup = {tulajdonos = true},
    setfuel = {tulajdonos = true, admin = true},
    heal = {tulajdonos = true, admin = true},
    clean = {tulajdonos = true, admin = true},
    revive = {tulajdonos = true, admin = true},
    reviveall= {tulajdonos = true, admin = true},
    saveall= {tulajdonos = true, admin = true},
    sethp= {tulajdonos = true,admin = true},
    ban= {tulajdonos = true, admin = true},
    unban= {tulajdonos = true, admin = true},
    reloadbans= {tulajdonos = true, admin = true},
    pm = {tulajdonos = false, admin = false, mod = false},
    eventbe= {tulajdonos = true,admin = true},
    eventki= {tulajdonos = true, admin = true},
    serverrestart= {tulajdonos = true},
    creative= {tulajdonos = true},
    createcode= {tulajdonos = true},
    eventkordi= {tulajdonos = true, admin = true},
    tptoveh= {tulajdonos = true, admin = true}
}

Config.inventory = "ox-inventory" --ox-inventory/custom
Config.tptovehsetting = true --Ha True akkor beleteleportál a járműbe ha false akkor csak rá teleportál.
Config.Blacklisteditems = {'identification'}
Config.waricarmenu = true  --true/false
Config.wariitemmenu = true --true/false
Config.femalehp = true -- True ha női karakterek hp-ja is 100 legyen mint a férfiaké false ha nem (Ha false akkor a női karaktereknél nem működik megfelelően a sethp parancs)

BanSystem.UnbanDiscordLink = "Warriorsdev Scripts &#x26; Marvel Scripts"

BanSystem.ShowScreenshotInBanScreen = true -- screenshot-basic required!

BanSystem.ScreenShotQuality = 0.4 -- 0.1 - 1.0


--functions

Config.custominventoryview = function(source) -- Inventory megnézése
    print("Function lefutott "..source)
    --Példa
    --TriggerClientEvent('ox_inventory:viewInventory', source, inventory)
    --log(source, rawCommand)
end

Config.chattriggerserver = function(source, message, times, title) -- chat szerver oldal \times= jelenlegi irl idő\
    TriggerClientEvent("nv_chat:addCustomMessage", source, message, "#3498db", times, "fa-solid fa-building-shield", "SW", title, "^5", "^2", "~s~")
    --TriggerClientEvent('chat:addMessage', source, { args = { title, message }, color = 255,255,255 })
end

Config.chattriggerclient = function(message, times, title) -- chat kliens oldal
    TriggerEvent("nv_chat:addCustomMessage", message, "#fafafa", times, "fa-solid fa-building-shield", "SW", title, "^8", "^8", "~s~")
	--TriggerEvent('chat:addMessage', {
		--color = { 255, 0, 0},
		--multiline = true,
		--args = {"Wari Scripts", msg}
	  --})
end


function ClientNotify(msg, types)
    TriggerEvent('codem-notification:Create', msg, types, nil, 5000)
end

function ServerNotify(id, msg, types)
    if id ~= 0 then
        TriggerClientEvent ('codem-notification:Create', id, msg, types, nil, 5000)
    else
        print(msg)
    end
end

Config.setfuel = function(source, osszeg) -- setfuel kliens oldal
    local playerPed = GetPlayerPed(-1)
	  if IsPedInAnyVehicle(playerPed, false) then
		local vehicle = GetVehiclePedIsIn(playerPed, false)
		--Entity(vehicle).state.fuel = source --ox
		SetVehicleFuelLevel(vehicle, tonumber(source)) --SL FUEL
		ClientNotify("Az autó üzemanyagszintje módosítva "..source.."ra/re","success")
	  else
        ClientNotify(Config.Locales['not_incar'].text, Config.Locales['not_incar'].type)
	  end
end

Config.serverrestart = function() -- Szerver újraindítás kliens oldali funkció
    TriggerServerEvent('sounds:playSourceall', 'serverrestart', 0.75)
	TriggerServerEvent('qb-weathersync:server:setWeather', 'THUNDER')
    TriggerServerEvent('qb-weathersync:server:toggleBlackout')
    TriggerEvent('esx_ambulancejob:revive', -1)
end

Config.createcode = function(source, args, rawCommand) -- createcode parancs
    local times = os.date("%X")
    local credit = tonumber(args[1])
    local title = "VIP RENDSZER"
    local tbxid = args[2]
    local result = MySQL.query.await('SELECT * FROM ak4y_donatesystem_codes WHERE code = ?', { tbxid })
    if tbxid ~= nil then
        if result[1] == nil then
            local message = "Sikeresen létrehoztál egy kódot: "..tbxid
            Config.chattriggerserver(source, message, times, title)
            MySQL.insert('INSERT INTO ak4y_donatesystem_codes (code, credit) VALUES (?, ?)', { tbxid, credit })
        else
            ServerNotify(source, "Ez a kód már létre lett hozva","error")
        end
    else
        if result[1] == nil then
            tbxid = string.upper('SW-' .. GetRandomNumber(10))
            local message = "Sikeresen létrehoztál egy kódot: "..tbxid
            Config.chattriggerserver(source, message, times, title)
            MySQL.insert('INSERT INTO ak4y_donatesystem_codes (code, credit) VALUES (?, ?)', { tbxid, credit })
        else
            ServerNotify(source, "Ez a kód már létre lett hozva","error")
        end
        
    end
 end

 --Saját parancs példa
 --RegistAdminCommand("parancs", function(source, args, rawCommand)
            --kód
--end, Config.Commands["parancs"], false)

--TriggerEvent('chat:addSuggestion', 'parancs', 'Leírás', {
--    { name="segítség", help="segítség szöveg" }})


Config.Locales = {
    ['car_fixed']                   =  { text = "Az autó megjavítva",                                       type = "success" },
    ['car_clean']                   =  { text = "Az autó letisztítva",                                      type = "success"   },
    ['not_incar']                   =  { text = "Nem ülsz autóban!",                                        type = "error"},
    ['teleport']                    =  { text = "Teleportálva",                                             type = "success"   },
    ['teleporterror']               =  { text = "Nincs kijelölve semmi!",                                   type = "error"     },
    ['car_oncar']                   =  { text = "Nem tudsz lehívni járművet ha már egy járműben ülsz",      type = "error"   },
    ['died']                        =  { text = "Halottan ezt nem teheted meg",                             type = "error"    },
    ['car_success']                 =  { text = "Sikeresen lehívtál egy:",                                  type = "success"     },
    ['car_tuned_success']           =  { text = "Sikeresen lehívtál egy tuningolt:",                        type = "success"    },
    ['offline_ban_fail']            =  { text = "Csak akkor tudsz offline banolni ha engedélyezve van a BanSystem.UseMySQLBanSystem"},
    ['ban_wrong_par']               =  { text = "Érvénytelen játékos ID! Kérlek, használd: /ban &#x3C;ID> &#x3C;indok> &#x3C;idő>"},
    ['unban_success']               =  { text = "Játékos kitiltása sikeresen feloldva!"},
    ['unban_failed']                =  { text = "Ismeretlen Ban azonosító"},
    ['unban_wrong_par']             =  { text = "Kérlek, add meg a kitiltás azonosítóját! Használd így: /unban &#x3C;kitiltás azonosítója>"},
    ['reload_bans']                 =  { text = "Banlista Frissítve"},
    ['noclip_on']                   =  { text = "🟢 Noclip Bekapcsolva"},
    ['noclip_off']                  =  { text = "🔴 Noclip Kikapcsolva"},
    ['ban_message']                 =  { text = "Kilettél tiltva a szerverről! Csatlakozz újra a további információkért"},
    ['ban_failed']                  =  { text = "Helytelen játékos azonosító!Kérlek használd így a parancsot: /ban &#x3C;azonosító> &#x3C;indok> &#x3C;idő>"},
    ['ban_system_title']            =  { text = "[Ban Rendszer]"},
    ['ban_screen_reason']           =  { text = "Indok: "},
    ['ban_screen_date']             =  { text = "Ban Dátuma: "},
    ['ban_screen_time']             =  { text = " | Hátralévő Idő: "},
    ['ban_screen_id']               =  { text = "Ban Azonosító: "},
    ['ban_screen_title']            =  { text = "⛔️ Bannolva lettél a szerverről ⛔️"},
    ['ban_screen_discordlink']      =  { text = "https://discord.gg/fUDeQkHREu"},
    ['ban_screen_discordname']      =  { text = "🛡️ Warriorsdev Scripts 🛡️"},
    ['license_plate_required']      =  { text = "Adj meg egy rendszámot"},
    ['veh_tp_success']              =  { text = "Sikeresen ráteleportáltál a járműre | Rendszám: "},
    ['veh_tp_error']                =  { text = "Nem található jármű ezzel a rendszámmal | Rendszám: "},
    ['veh_tp_not_inside']           =  { text = "A jármű megtalálható de garázsban van így nem tudsz rá teleportálni"},
    ['not_online']                  =  { text = "A játékos nem található a szerveren"},
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warriorsdev.hu/vw-adminsys/config.lua.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
